//
// C++ Implementation: KmdrMainWindow
//
// Description: 
//
//
// Author: Andras Mantia <amantia@kdewebdev.org>, (C) 2008
//
// Copyright: See COPYING file that comes with this distribution
//
//

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include "kmdrmainwindow.h"

#include <tqtimer.h>

KmdrMainWindow::KmdrMainWindow(TQWidget *parent, const char *name, WFlags f)
 : TDEMainWindow(parent, name, f)
{
  TQTimer::singleShot(10, this, TQ_SIGNAL(initialize()));
}


KmdrMainWindow::~KmdrMainWindow()
{
}

bool KmdrMainWindow::queryClose()
{
  bool quit = TDEMainWindow::queryClose();
  if (quit)
    emit destroy();
  return quit;
}


#include "kmdrmainwindow.moc"
